create procedure sistema.sp_guardarPermiso
@numId int,
@txtTipoContenedor varchar(150),
@numContenedor int,
@txtTipoAsignacion varchar(25),
@numAsignacion int,
@txtTipoPermiso varchar(25),
@numUsuario int,
@dbResponse varchar(300) output,
@dbId int output
as
begin
	set nocount on;
	begin tran guardarPermiso
	begin try
		if @numId = 0
			begin
				insert into sistema.datos_permisos(tipoContenedor,idContenedor,tipoAsignacion,idAsignacion,tipoPermiso,idUsuario) values(@txtTipoContenedor,@numContenedor,@txtTipoAsignacion,@numAsignacion,@txtTipoPermiso,@numUsuario);
				select @dbId = SCOPE_IDENTITY();
			end
		else
			begin
				set @dbId = @numId;
				update sistema.datos_permisos set tipoAsignacion = @txtTipoAsignacion,idAsignacion = @numAsignacion,tipoPermiso = @txtTipoPermiso where id = @dbId;
			end

		set @dbResponse = 'success';
		commit tran guardarPermiso
	end try
	begin catch
		SET @dbResponse = 'Ocurrió el siguiente error: '+ERROR_MESSAGE()+', en la línea '+ CONVERT ( NVARCHAR ( 255 ), ERROR_LINE( ) );
		rollback tran guardarPermiso
	end catch
end